# Makefile for oracle
#

COMP = gcc
INCLUDES = -I/usr/include
DEFINE = 

TFILES = hmmora.o \
	server.o

#LIBS = -lm -lsocket -lnsl
LIBS = -lm

CFLAGS = -Wall -c -O2 $(DEFINE) -o $@
#CFLAGS = -c -O $(DEFINE) -o $@

all: hmmora

hmmora: $(TFILES)
	$(COMP) -o hmmora $(TFILES) $(LIBS)

# ---- alphabetized list of modules ----
server.o: server.c server.h oracle.h messages.h
	$(COMP) $(CFLAGS) server.c

hmmora.o: hmmora.c oracle.h server.h
	$(COMP) $(CFLAGS) hmmora.c
